Skip to content
Endless Documentation

List skill catalog all

GET
/skill-listings

List skill catalog all.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
page_size?integer
Range1 <= value <= 100
Default25
search?string
status?string

Value in

  • "draft"
  • "published"
  • "retired"
category?string

Value in

  • "marketing"
  • "content"
  • "social"
  • "video"
  • "image"
  • "audio"
  • "research"
  • "design"
sort?string
Default"rank"

Value in

  • "rank"
  • "title"
  • "updated"
  • "uses"
direction?string

Value in

  • "asc"
  • "desc"

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/skill-listings"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "slug": "string",      "status": "draft",      "title": "string",      "summary": "string",      "categories": [        "marketing"      ],      "cover_url": "string",      "examples": [        "string"      ],      "author": "string",      "verified": true,      "license": "string",      "source_url": "string",      "name": "string",      "description": "string",      "version": -2147483648,      "rank": -2147483648,      "published_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "uses": -9007199254740991,      "updated_by": {        "id": "string",        "first_name": "string",        "last_name": "string",        "email": "string",        "image_url": "string"      }    }  ],  "page": -9007199254740991,  "page_size": -9007199254740991,  "total": -9007199254740991}